%global momorel 1

Name: boost-jam
Version: 3.1.13
Summary: Build tool for boost
Release: %{momorel}m%{?dist}
License: "Boost Software License"
%NoSource 0 http://dl.sourceforge.net/sourceforge/boost/%{name}-%{version}.tgz 81f5ab23de817444f66dc3edf35d5ef5
Group: Development/Tools
URL: http://www.boost.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.

%prep
%setup -q

%build
# gcc-4.2 was no used "-Ox" flags ...
# Fix Me 
if [ "`gcc -dumpversion | cut -c 0-3`.x" == "4.2.x" ]; then
export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed s/\-O[0-9]//g`
fi

LOCATE_TARGET=bin CC=gcc CFLAGS="$RPM_OPT_FLAGS" ./build.sh cc -d2

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/bjam %{buildroot}%{_bindir}/bjam-%{version}
ln -sf bjam-%{version} %{buildroot}%{_bindir}/bjam
#ln -sf bjam-%{version} %{buildroot}%{_bindir}/jam

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.html LICENSE_1_0.txt
%{_bindir}/*

%changelog
* Wed Mar 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.13-1m)
- update 3.1.13
- gcc-4.2 was no used "-Ox" flags ...

* Tue Apr 18 2006 Msayuki SANO <nosanosa@momonga-linux.org>
- (3.1.12-1m)
- update to 3.1.12

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.7-3m)
- change URI

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1.7-2m)
- revised spec for enabling rpm 4.2.

* Mon Oct 20 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (3.1.7-1m)
- update to 3.1.7
- remove boost-jam-opt.patch

* Tue Jun 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.1.4-1m)
- initial version for momonga
